Flux Generate Summary
curl --request POST \
--url https://api.acedata.cloud/flux/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"mode": "t2v",
"action": "generate"
}
'import requests
url = "https://api.acedata.cloud/flux/videos"
payload = {
"prompt": "<string>",
"mode": "t2v",
"action": "generate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', mode: 't2v', action: 'generate'})
};
fetch('https://api.acedata.cloud/flux/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "<string>",
"data": [
{
"id": "<string>",
"model": "<string>",
"video_url": "<string>",
"seconds": 123,
"width": 123,
"height": 123,
"fps": 123,
"draft_task_id": "<string>"
}
],
"usage": {
"seconds": 123,
"output_mp_seconds": 123,
"mode": "<string>",
"resolution": "<string>",
"draft": true,
"action": "generate"
}
}API Reference
Flux Generate Summary
POST
/
flux
/
videos
Flux Generate Summary
curl --request POST \
--url https://api.acedata.cloud/flux/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"mode": "t2v",
"action": "generate"
}
'import requests
url = "https://api.acedata.cloud/flux/videos"
payload = {
"prompt": "<string>",
"mode": "t2v",
"action": "generate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', mode: 't2v', action: 'generate'})
};
fetch('https://api.acedata.cloud/flux/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "<string>",
"data": [
{
"id": "<string>",
"model": "<string>",
"video_url": "<string>",
"seconds": 123,
"width": 123,
"height": 123,
"fps": 123,
"draft_task_id": "<string>"
}
],
"usage": {
"seconds": 123,
"output_mp_seconds": 123,
"mode": "<string>",
"resolution": "<string>",
"draft": true,
"action": "generate"
}
}Authorizations
API token from https://platform.acedata.cloud
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Flux Video Action Description
Available options:
t2v Available options:
21:9, 2:1, 16:9, 4:3, 1:1, 3:4, 9:16, 9:21 Required range:
5 <= x <= 20Available options:
hd, fhd, qhd, uhd Available options:
latest Required range:
0 <= x <= 4Available options:
flux-3 Available options:
generate Was this page helpful?

